*12345678901234567890123456789012345678901234567890123456789012345678901234567890

capture log close
clear
clear matrix
set mem 500m
set more off

#delimit ;

*	************************************************************************ *;
* 	File-Name: Hollyersinglerec.do                                           *;
*	Date:  5/16/2008                                                         *;
*	Author: 	James Hollyer                                                *;
*	Purpose:   To generate single record estimates of the effect of CATS on  *;
*	regime survival.											 *;	                                                 
*	Data Input: torture4.dta			      				 *;
*	************************************************************************ *;


*	************************************************************************ *;
*	The following will load the torture4.dta dataset into stata.		 *;
*	************************************************************************ *;


use "c:\documents and settings\james\desktop\my dropbox\IPE 2\Collaboration w Peter\Submissions\QJPS\Accepted Version\Replication Materials\torture4.dta";

*	************************************************************************ *;
*	The following will stset the data.							 *;
*	************************************************************************ *;

stset sumten, id(obsid) failure(fail==1) exit(year=1996);

*	************************************************************************ *;
*	The following will run a Cox regression, predicting the hazard rate of   *;
*	regimes based upon the Gandhi and Przeworski CPS variables and CAT       *;
*	signing.											 *;
*	************************************************************************ *;

stcox eversign mtort acchead civilian inherit party resource, 
cluster(ccode) nohr;

stcox eversign mtort_ciri acchead civilian inherit party resource, 
cluster(ccode) nohr;

*	************************************************************************ *;
*	Add controls for variables likelty to affect selection.			 *;
*	************************************************************************ *;

stcox eversign mtort acchead civilian inherit party resource 
mpop mcinc mgdpcap , tvc(mtort) cluster(ccode) nohr;

est2vec singlerecord, replace name(Hath1);

stcox eversign mtort_ciri acchead civilian inherit party resource 
mpop mcinc mgdpcap , tvc(mtort_ciri) cluster(ccode) nohr;

est2vec, addto(singlerecord) name(CIRI1);

stcox eversign mtort acchead civilian inherit party resource, tvc(mtort) cluster(ccode) nohr;

est2vec, addto(singlerecord) name(Hath2);

stcox eversign mtort_ciri acchead civilian inherit party resource, tvc(mtort_ciri) 
cluster(ccode) nohr;

est2vec, addto(singlerecord) name(CIRI2);

est2tex singlerecord, preserve path("c:\documents and settings\james\desktop\my dropbox\ipe 2\collaboration w peter\submissions\qjps") mark(stars) dot replace;


