*12345678901234567890123456789012345678901234567890123456789012345678901234567890

capture log close
clear
clear matrix
set mem 500m
set more off

#delimit ;

*	************************************************************************ *;
* 	File-Name: IO_response_coding.do                                         *;
*	Date:  6/30/2009                                                         *;
*	Author: 	James Hollyer                                                *;
*	Purpose:   To generate a variable indicating if the regime in question   *;
*	inherited CAT signatory status and drop all regimes that so inherited    *;
*	their signatory status from the estimation procedure.				 *;	                                                 
*	Data Input: torture4.dta			      				 *;
*	************************************************************************ *;

*	************************************************************************ *;
*	The following will load the torture4.dta dataset into stata.		 *;
*	************************************************************************ *;


use "c:\documents and settings\james\desktop\my dropbox\IPE 2\collaboration w peter\submissions\QJPS\Accepted Version\Replication Materials\torture4.dta";

*	************************************************************************ *;
*	The following will stset the data.							 *;
*	************************************************************************ *;

stset sumten, id(obsid) failure(fail==1) exit(year=1996);

*	************************************************************************ *;
*	The following will generate an indicator variable that will take the     *;
*	value of 1 if the regime in question inherited its signatory status from *;
*	an earlier signatory regime.								 *;
*	************************************************************************ *;

sort obsid;

gen inherit_signatory =.;

replace inherit_signatory=1 if eversign[_n-1]==1 & ccode==ccode[_n-1];

replace inherit_signatory=0 if inherit_signatory==.;

*	************************************************************************ *;
*	The following will re-run the baseline results from the naive model      *;
*	dropping all observations that inherited their signatory status.		 *;
*	************************************************************************ *;

stcox eversign mtort acchead civilian inherit party  resource if 
inherit_signatory==0, cluster(ccode) nohr;

stcox eversign mtort_ciri acchead civilian inherit party  resource if
inherit_signatory==0, cluster(ccode) nohr;

*	************************************************************************ *;
*	Add controls for variables likelty to affect selection.			 *;
*	************************************************************************ *;

stcox eversign mtort acchead civilian  inherit party resource  
mpop mcinc mgdpcap if inherit_signatory==0, tvc(mtort) cluster(ccode) nohr;

est2vec noninherit, replace name(Hath1);

stcox eversign mtort_ciri acchead civilian  inherit party resource 
mpop mcinc mgdpcap if inherit_signatory==0, tvc(mtort_ciri) cluster(ccode) nohr;

est2vec, addto(noninherit) name(CIRI1);

stcox eversign mtort acchead civilian inherit party  resource if 
inherit_signatory==0, tvc(mtort) cluster(ccode) nohr;

est2vec, addto(noninherit) name(Hath2);

stcox eversign mtort_ciri acchead civilian inherit party  resource if
inherit_signatory==0, tvc(mtort_ciri) cluster(ccode) nohr;

est2vec, addto(noninherit) name(CIRI2);

*est2tex noninherit, preserve path("c:\documents and settings\james\desktop\my dropbox\ipe 2\collaboration w peter\") mark(stars) dot replace;

