capture log close

clear
clear matrix
set mem 500m
set more off

#delimit ;

*	************************************************************************ *;
* 	File-Name: 06APSR_UnrestAnalysis.do										 *;
*	Date:  02/01/10															 *;
*	Author: 	James Hollyer                                                *;
*	Purpose:   To run a preliminary analysis of the unrest data to look for  *;
*	an effect of CAT signings.												 *;
*	Data Input: APSR_Unrest_data_final.dta									 *;
*	************************************************************************ *;

use "c:\documents and settings\james\desktop\my dropbox\ipe 2\collaboration w peter\Submissions\QJPS\Accepted Version\Replication Materials\Unrest_data_final.dta";

*	************************************************************************ *;
*	The following will tsset the data.										 *;
*	************************************************************************ *;

tsset ccode year;
drop if reg==0;
*	************************************************************************ *;
*	Look for a relationship in the Banks data.								 *;
*	************************************************************************ *;

sureg (change_assass L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_strikes L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_crises L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_riots L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_rev L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_demos L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_guer L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) [w=weights];

est2vec unrest, replace name(MatchedModel1);

sureg (change_assass L.change_cat t t2 t3) (change_strikes L.change_cat t t2 t3) 
(change_crises L.change_cat t t2 t3) (change_riots L.change_cat t t2 t3) 
(change_rev L.change_cat t t2 t3) (change_demos L.change_cat t t2 t3) 
(change_guer L.change_cat t t2 t3) [w=weights];

est2vec, addto(unrest) name(MatchedModel2);

sureg (change_assass L.change_cat change_gdp change_cap t t2 t3) 
(change_strikes L.change_cat change_gdp change_cap t t2 t3) 
(change_crises L.change_cat change_gdp change_cap t t2 t3) (change_riots L.change_cat 
change_gdp change_cap t t2 t3) (change_rev L.change_cat change_gdp change_cap t t2 t3) 
(change_demos L.change_cat change_gdp change_cap t t2 t3) (change_guer L.change_cat 
change_gdp change_cap t t2 t3) [w=weights];


sureg (change_assass L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_strikes L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_crises L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_riots L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_rev L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_demos L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3) (change_guer L.change_cat change_growth  change_cap change_openness 
change_gdp t t2 t3);

est2vec, addto(unrest) name(FullModel1);

sureg (change_assass L.change_cat t t2 t3) (change_strikes L.change_cat t t2 t3) 
(change_crises L.change_cat t t2 t3) (change_riots L.change_cat t t2 t3) 
(change_rev L.change_cat t t2 t3) (change_demos L.change_cat t t2 t3) 
(change_guer L.change_cat t t2 t3);

est2vec, addto(unrest) name(FullModel2);

*est2tex unrest, preserve path("c:\documents and settings\james\desktop\my dropbox\ipe 2\collaboration w peter\")
*mark(stars) dot replace;

sureg (change_assass L.change_cat change_gdp change_cap t t2 t3) 
(change_strikes L.change_cat change_gdp change_cap t t2 t3) 
(change_crises L.change_cat change_gdp change_cap t t2 t3) (change_riots L.change_cat 
change_gdp change_cap t t2 t3) (change_rev L.change_cat change_gdp change_cap t t2 t3) 
(change_demos L.change_cat change_gdp change_cap t t2 t3) (change_guer L.change_cat 
change_gdp change_cap t t2 t3);

*Coefficients are consistently negative and sometimes significant, but not;
*by very often.;

*	************************************************************************ *;
*	The following will run a similar test on the battledeaths data.			 *;
*	************************************************************************ *;

sureg (change_bdeadlow L.change_cat change_gdp change_cap change_growth
change_openness t t2 t3) 
(change_bdeadhigh L.change_cat change_gdp change_cap change_growth  
change_openness t t2 t3) [w=weights];

est2vec battledeaths, replace name(MatchedModel1);

sureg (change_bdeadlow L.change_cat change_gdp change_cap t t2 t3) 
(change_bdeadhigh L.change_cat change_gdp change_cap t t2 t3) [w=weights];

est2vec, addto(battledeaths) name(MatchedModel2);

sureg (change_bdeadlow L.change_cat change_gdp change_cap change_growth  
change_openness t t2 t3) 
(change_bdeadhigh L.change_cat change_gdp change_cap change_growth  
change_openness t t2 t3);

est2vec, addto(battledeaths) name(FullModel1);

sureg (change_bdeadlow L.change_cat change_gdp change_cap t t2 t3) 
(change_bdeadhigh L.change_cat change_gdp change_cap t t2 t3);

est2vec, addto(battledeaths) name(FullModel2);


*est2tex battledeaths, preserve path("c:\documents and settings\james\desktop\my dropbox\ipe 2\collaboration w peter\") 
*mark(stars) dot replace;

*	************************************************************************ *;
*	The following will run a fixed-effects regression on the battle deaths   *;
*	data as a robustness check on the difference-in-differences model.		 *;
*	************************************************************************ *;

xtreg bdeadhigh L.cats  level g population party acchead civilian inherit 
 cinc t t2 t3 [w=weights], fe;

est2vec bdeadrobust, replace name(HighBattleDeathsMatched);

xtreg bdeadlow L.cats  level g population party acchead civilian inherit 
 cinc t t2 t3 [w=weights], fe;

est2vec, addto(bdeadrobust) name(LowBattleDeathsMatched);

xtreg bdeadhigh L.cats  level g population party acchead civilian inherit 
 cinc t t2 t3, fe;

est2vec, addto(bdeadrobust) name(HighBattleDeathsAll);

xtreg bdeadlow L.cats  level g population party acchead civilian inherit 
 cinc t t2 t3, fe;

est2vec, addto(bdeadrobust) name(LowBattleDeathsAll);


*est2tex bdeadrobust, preserve path("c:\documents and settings\james\desktop\my dropbox\ipe 2\collaboration w peter\") 
mark(stars) dot replace;





