# James Hollyer
# February 4, 2010
# Purpose: To match panels of autocratic countries that sign the CAT to those 
# that do not.
# Data Input: For_Matching.dta
# Data Output: Matched.dta

# Set the working directory to that used for the PTA paper.
setwd("C:/Documents and Settings/James/Desktop/My Dropbox/IPE 2/Collaboration w Peter/submissions/QJPS/Accepted Version/Replication Materials")

# Load the Necessary Packages
library(arm)
library(MatchIt)
library(Matching)
library(foreign)

# Read the data into R
CATdata <- read.dta("For_Matching.dta")
attach(CATdata)
                                                    
# The following will run a caliper matching algorithm on the collapsed CAT data.
# data and will run matching diagnostics.
matchedCAT <- matchit(cats ~ tort_ciri + torture + level + g + muslim + population + cinc + tradegdp + inherit + military + resource + acchead + war + communist, data=CATdata, method="genetic", estimand="ATT", int.seed=9)

summary(matchedCAT)

plot(matchedCAT, type="jitter")
plot(matchedCAT, type="hist")
plot(matchedCAT, type="QQ")

matchedCATdata<-match.data(matchedCAT)
write.dta(matchedCATdata, file="Matched.dta")

